aboutsummaryrefslogtreecommitdiff
path: root/twitch-stream-local-copy.sh
diff options
context:
space:
mode:
Diffstat (limited to 'twitch-stream-local-copy.sh')
-rwxr-xr-xtwitch-stream-local-copy.sh5
1 files changed, 3 insertions, 2 deletions
diff --git a/twitch-stream-local-copy.sh b/twitch-stream-local-copy.sh
index fb7dfbb..1128a5e 100755
--- a/twitch-stream-local-copy.sh
+++ b/twitch-stream-local-copy.sh
@@ -2,5 +2,6 @@
# Stream on twitch while also saving the video to disk locally
-[ "$#" -ne 5 ] && echo "usage: twitch-stream-local-copy.sh <window_id> <fps> <audio_input> <livestream_key> <local_file>" && exit 1
-./gpu-screen-recorder -w "$1" -c flv -f "$2" -a "$3" | tee -- "$5" | ffmpeg -i pipe:0 -c:v copy -f flv -- "rtmp://live.twitch.tv/app/$4"
+[ "$#" -ne 4 ] && echo "usage: twitch-stream-local-copy.sh <window_id> <fps> <livestream_key> <local_file>" && exit 1
+active_sink="$(pactl get-default-sink).monitor"
+./gpu-screen-recorder -w "$1" -c flv -f "$2" -a "$active_sink" | tee -- "$4" | ffmpeg -i pipe:0 -c:v copy -f flv -- "rtmp://live.twitch.tv/app/$3"